module.exports = function( grunt ) {
    'use strict';

    grunt.initConfig({

        // Gets the package vars
        pkg: grunt.file.readJSON( 'package.json' ),

        // Setting folder templates
        dirs: {
            js: 'assets/js/frontend'
        },

        // Minify .js files.
        uglify: {
            options: {
                preserveComments: 'some',
                sourceMap: true
            },
            jsfiles: {
                files: [{
                    expand: true,
                    extDot: 'last',
                    cwd: '<%= dirs.js %>/',
                    src: [ '*.js', '!*.min.js' ],
                    dest: '<%= dirs.js %>/',
                    ext: '.min.js'
                }]
            }
        },
    });

    // Load NPM tasks to be used here
    grunt.loadNpmTasks( 'grunt-contrib-uglify' );

    // Register tasks
    grunt.registerTask( 'default', [
        'js',
    ]);

    grunt.registerTask( 'js', [
        'uglify',
    ]);
};